Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.html.dom
Class HTMLFrameElementImpl

    java.lang.Object
      |
      +--org.apache.xerces.dom.NodeImpl
            |
            +--org.apache.xerces.dom.ChildNode
                  |
                  +--org.apache.xerces.dom.ParentNode
                        |
                        +--org.apache.xerces.dom.ElementImpl
                              |
                              +--org.apache.html.dom.HTMLElementImpl
                                    |
                                    +--org.apache.html.dom.HTMLFrameElementImpl

public class HTMLFrameElementImpl
extends HTMLElementImpl
implements HTMLFrameElement

Version:
  $Revision: 1.4 $ $Date: 2001/01/30 23:57:55 $
Author:
  Assaf Arkin
See Also:
  `HTMLFrameElement`, `ElementImpl`, Serialized Form

Fields inherited from class org.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class org.apache.xerces.dom.ParentNode
`fCachedChild, fCachedChildIndex, fCachedLength, firstChild, ownerDocument`

Fields inherited from class org.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class org.apache.xerces.dom.NodeImpl
`ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, IGNORABLEWS, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, UNNORMALIZED`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`HTMLFrameElementImpl(HTMLDocumentImpl owner, java.lang.String name)` Constructor requires owner document.

Method Summary
`java.lang.String` | `getFrameBorder()` Request frame borders.
`java.lang.String` | `getLongDesc()` URI designating a long description of this image or frame.
`java.lang.String` | `getMarginHeight()` Frame margin height, in pixels.
`java.lang.String` | `getMarginWidth()` Frame margin width, in pixels.
`java.lang.String` | `getName()` The frame name (object of the `target` attribute).
`boolean` | `getNoResize()` When true, forbid user from resizing frame.
`java.lang.String` | `getScrolling()` Specify whether or not the frame should have scrollbars.
`java.lang.String` | `getSrc()` A URI designating the initial frame contents.
`void` | `setFrameBorder(java.lang.String frameBorder)`
`void` | `setLongDesc(java.lang.String longDesc)`
`void` | `setMarginHeight(java.lang.String marginHeight)`
`void` | `setMarginWidth(java.lang.String marginWidth)`
`void` | `setName(java.lang.String name)`
`void` | `setNoResize(boolean noResize)`
`void` | `setScrolling(java.lang.String scrolling)`
`void` | `setSrc(java.lang.String src)`

Methods inherited from class org.apache.html.dom.HTMLElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getClassName, getDir, getElementsByTagName, getElementsByTagNameNS, getForm, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from class org.apache.xerces.dom.ElementImpl
`cloneNode, getAttributes, getDefaultAttributes, getNodeName, getNodeType, getTagName, hasAttribute, hasAttributeNS, hasAttributes, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setReadOnly, setupDefaultAttributes, synchronizeData`

Methods inherited from class org.apache.xerces.dom.ParentNode
`getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, hasChildNodes, insertBefore, item, removeChild, replaceChild, synchronizeChildren`

Methods inherited from class org.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class org.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, dispatchEvent, getLocalName, getNamespaceURI, getNodeValue, getPrefix, getReadOnly, getUserData, isSupported, removeEventListener, setNodeValue, setPrefix, setUserData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HTMLFrameElementImpl

    public HTMLFrameElementImpl(HTMLDocumentImpl owner,
                                java.lang.String name)

  Constructor requires owner document.
  Parameters:
    `owner` - The owner HTML document

Method Detail

### getFrameBorder

    public java.lang.String getFrameBorder()

  Description copied from interface: HTMLFrameElement
  Request frame borders. See the frameborder attribute definition in HTML 4.0.
  Specified by:
    getFrameBorder in interface HTMLFrameElement

### setFrameBorder

    public void setFrameBorder(java.lang.String frameBorder)

  Specified by:
    setFrameBorder in interface HTMLFrameElement

### getLongDesc

    public java.lang.String getLongDesc()

  Description copied from interface: HTMLFrameElement
  URI designating a long description of this image or frame. See the longdesc attribute definition in HTML 4.0.
  Specified by:
    getLongDesc in interface HTMLFrameElement

### setLongDesc

    public void setLongDesc(java.lang.String longDesc)

  Specified by:
    setLongDesc in interface HTMLFrameElement

### getMarginHeight

    public java.lang.String getMarginHeight()

  Description copied from interface: HTMLFrameElement
  Frame margin height, in pixels. See the marginheight attribute definition in HTML 4.0.
  Specified by:
    getMarginHeight in interface HTMLFrameElement

### setMarginHeight

    public void setMarginHeight(java.lang.String marginHeight)

  Specified by:
    setMarginHeight in interface HTMLFrameElement

### getMarginWidth

    public java.lang.String getMarginWidth()

  Description copied from interface: HTMLFrameElement
  Frame margin width, in pixels. See the marginwidth attribute definition in HTML 4.0.
  Specified by:
    getMarginWidth in interface HTMLFrameElement

### setMarginWidth

    public void setMarginWidth(java.lang.String marginWidth)

  Specified by:
    setMarginWidth in interface HTMLFrameElement

### getName

    public java.lang.String getName()

  Description copied from interface: HTMLFrameElement
  The frame name (object of the `target` attribute). See the name attribute definition in HTML 4.0.
  Specified by:
    getName in interface HTMLFrameElement

### setName

    public void setName(java.lang.String name)

  Specified by:
    setName in interface HTMLFrameElement

### getNoResize

    public boolean getNoResize()

  Description copied from interface: HTMLFrameElement
  When true, forbid user from resizing frame. See the noresize attribute definition in HTML 4.0.
  Specified by:
    getNoResize in interface HTMLFrameElement

### setNoResize

    public void setNoResize(boolean noResize)

  Specified by:
    setNoResize in interface HTMLFrameElement

### getScrolling

    public java.lang.String getScrolling()

  Description copied from interface: HTMLFrameElement
  Specify whether or not the frame should have scrollbars. See the scrolling attribute definition in HTML 4.0.
  Specified by:
    getScrolling in interface HTMLFrameElement

### setScrolling

    public void setScrolling(java.lang.String scrolling)

  Specified by:
    setScrolling in interface HTMLFrameElement

### getSrc

    public java.lang.String getSrc()

  Description copied from interface: HTMLFrameElement
  A URI designating the initial frame contents. See the src attribute definition in HTML 4.0.
  Specified by:
    getSrc in interface HTMLFrameElement

### setSrc

    public void setSrc(java.lang.String src)

  Specified by:
    setSrc in interface HTMLFrameElement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache XML Project. All Rights Reserved.